import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i1 from '@covalent/echarts/base';
import { TdSeriesDirective } from '@covalent/echarts/base';

const _c0 = ["td-bar", ""];
class TdChartSeriesBarComponent extends TdSeriesDirective {
    constructor(_optionsService) {
        super('bar', _optionsService);
    }
    getConfig() {
        return {
            coordinateSystem: this.coordinateSystem,
            xAxisIndex: this.xAxisIndex,
            yAxisIndex: this.yAxisIndex,
            legendHoverLink: this.legendHoverLink,
            stack: this.stack,
            cursor: this.cursor,
            label: this.label,
            itemStyle: this.itemStyle,
            emphasis: this.emphasis,
            barWidth: this.barWidth,
            barMaxWidth: this.barMaxWidth,
            barMinHeight: this.barMinHeight,
            barGap: this.barGap,
            barCategoryGap: this.barCategoryGap,
            large: this.large,
            largeThreshold: this.largeThreshold,
            progressive: this.progressive,
            progressiveThreshold: this.progressiveThreshold,
            progressiveChunkMode: this.progressiveChunkMode,
            dimensions: this.dimensions,
            encode: this.encode,
            seriesLayoutBy: this.seriesLayoutBy,
            datasetIndex: this.datasetIndex,
            markPoint: this.markPoint,
            markLine: this.markLine,
            markArea: this.markArea,
            zlevel: this.zlevel,
            z: this.z,
        };
    }
}
/** @nocollapse */ /** @nocollapse */ TdChartSeriesBarComponent.ɵfac = function TdChartSeriesBarComponent_Factory(t) { return new (t || TdChartSeriesBarComponent)(i0.ɵɵdirectiveInject(i1.TdChartOptionsService)); };
/** @nocollapse */ /** @nocollapse */ TdChartSeriesBarComponent.ɵcmp = /** @pureOrBreakMyCode */ i0.ɵɵdefineComponent({ type: TdChartSeriesBarComponent, selectors: [["td-chart-series", "td-bar", ""]], inputs: { config: "config", id: "id", name: "name", color: "color", data: "data", animation: "animation", animationThreshold: "animationThreshold", animationDuration: "animationDuration", animationEasing: "animationEasing", animationDelay: "animationDelay", animationDurationUpdate: "animationDurationUpdate", animationEasingUpdate: "animationEasingUpdate", animationDelayUpdate: "animationDelayUpdate", tooltip: "tooltip", coordinateSystem: "coordinateSystem", xAxisIndex: "xAxisIndex", yAxisIndex: "yAxisIndex", legendHoverLink: "legendHoverLink", stack: "stack", cursor: "cursor", label: "label", itemStyle: "itemStyle", emphasis: "emphasis", barWidth: "barWidth", barMaxWidth: "barMaxWidth", barMinHeight: "barMinHeight", barGap: "barGap", barCategoryGap: "barCategoryGap", large: "large", largeThreshold: "largeThreshold", progressive: "progressive", progressiveThreshold: "progressiveThreshold", progressiveChunkMode: "progressiveChunkMode", dimensions: "dimensions", encode: "encode", seriesLayoutBy: "seriesLayoutBy", datasetIndex: "datasetIndex", markPoint: "markPoint", markLine: "markLine", markArea: "markArea", zlevel: "zlevel", z: "z" }, features: [i0.ɵɵProvidersFeature([
            {
                provide: TdSeriesDirective,
                useExisting: forwardRef((() => TdChartSeriesBarComponent)),
            },
        ]), i0.ɵɵInheritDefinitionFeature], attrs: _c0, decls: 0, vars: 0, template: function TdChartSeriesBarComponent_Template(rf, ctx) { }, encapsulation: 2, changeDetection: 0 });
(function () {
    (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TdChartSeriesBarComponent, [{
            type: Component,
            args: [{
                    selector: 'td-chart-series[td-bar]',
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    inputs: [
                        'config',
                        'id',
                        'name',
                        'color',
                        'data',
                        'animation',
                        'animationThreshold',
                        'animationDuration',
                        'animationEasing',
                        'animationDelay',
                        'animationDurationUpdate',
                        'animationEasingUpdate',
                        'animationDelayUpdate',
                        'tooltip',
                    ],
                    providers: [
                        {
                            provide: TdSeriesDirective,
                            useExisting: forwardRef((() => TdChartSeriesBarComponent)),
                        },
                    ],
                }]
        }], function () { return [{ type: i1.TdChartOptionsService }]; }, { coordinateSystem: [{
                type: Input
            }], xAxisIndex: [{
                type: Input
            }], yAxisIndex: [{
                type: Input
            }], legendHoverLink: [{
                type: Input
            }], stack: [{
                type: Input
            }], cursor: [{
                type: Input
            }], label: [{
                type: Input
            }], itemStyle: [{
                type: Input
            }], emphasis: [{
                type: Input
            }], barWidth: [{
                type: Input
            }], barMaxWidth: [{
                type: Input
            }], barMinHeight: [{
                type: Input
            }], barGap: [{
                type: Input
            }], barCategoryGap: [{
                type: Input
            }], large: [{
                type: Input
            }], largeThreshold: [{
                type: Input
            }], progressive: [{
                type: Input
            }], progressiveThreshold: [{
                type: Input
            }], progressiveChunkMode: [{
                type: Input
            }], dimensions: [{
                type: Input
            }], encode: [{
                type: Input
            }], seriesLayoutBy: [{
                type: Input
            }], datasetIndex: [{
                type: Input
            }], markPoint: [{
                type: Input
            }], markLine: [{
                type: Input
            }], markArea: [{
                type: Input
            }], zlevel: [{
                type: Input
            }], z: [{
                type: Input
            }] });
})();

const BAR_MODULE_COMPONENTS = [TdChartSeriesBarComponent];
class CovalentBarEchartsModule {
}
/** @nocollapse */ /** @nocollapse */ CovalentBarEchartsModule.ɵfac = function CovalentBarEchartsModule_Factory(t) { return new (t || CovalentBarEchartsModule)(); };
/** @nocollapse */ /** @nocollapse */ CovalentBarEchartsModule.ɵmod = /** @pureOrBreakMyCode */ i0.ɵɵdefineNgModule({ type: CovalentBarEchartsModule });
/** @nocollapse */ /** @nocollapse */ CovalentBarEchartsModule.ɵinj = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjector({ imports: [[CommonModule]] });
(function () {
    (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CovalentBarEchartsModule, [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [BAR_MODULE_COMPONENTS],
                    exports: [BAR_MODULE_COMPONENTS],
                }]
        }], null, null);
})();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(CovalentBarEchartsModule, { declarations: [TdChartSeriesBarComponent], imports: [CommonModule], exports: [TdChartSeriesBarComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { BAR_MODULE_COMPONENTS, CovalentBarEchartsModule, TdChartSeriesBarComponent };
//# sourceMappingURL=covalent-echarts-bar.mjs.map
