import * as i0 from '@angular/core';
import { Directive, TemplateRef, Component, ChangeDetectionStrategy, Input, ContentChild, ViewChild, NgModule } from '@angular/core';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i1 from '@covalent/echarts/base';
import { assignDefined } from '@covalent/echarts/base';

const _c0$1 = ["tooltipContent"];
function TdChartTooltipComponent_ng_template_0_Template(rf, ctx) { }
class TdTooltipContext {
}
class TdChartTooltipFormatterDirective {
}
/** @nocollapse */ /** @nocollapse */ TdChartTooltipFormatterDirective.ɵfac = function TdChartTooltipFormatterDirective_Factory(t) { return new (t || TdChartTooltipFormatterDirective)(); };
/** @nocollapse */ /** @nocollapse */ TdChartTooltipFormatterDirective.ɵdir = /** @pureOrBreakMyCode */ i0.ɵɵdefineDirective({ type: TdChartTooltipFormatterDirective, selectors: [["ng-template", "tdTooltipFormatter", ""]] });
(function () {
    (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TdChartTooltipFormatterDirective, [{
            type: Directive,
            args: [{
                    selector: 'ng-template[tdTooltipFormatter]',
                }]
        }], null, null);
})();
class TdChartTooltipComponent {
    constructor(_changeDetectorRef, _elementRef, _optionsService) {
        this._changeDetectorRef = _changeDetectorRef;
        this._elementRef = _elementRef;
        this._optionsService = _optionsService;
        this._state = {};
        this._context = new TdTooltipContext();
        this.config = {};
        this.show = true;
        this.trigger = 'axis';
        this.showContent = true;
        this.alwaysShowContent = false;
        this.triggerOn = 'mousemove|click';
        this.showDelay = 0;
        this.hideDelay = 0;
        this.enterable = false;
        this.confine = false;
        this.transitionDuration = 0.5;
        this.backgroundColor = 'rgba(50,50,50,0.7)'; // series
        this.borderColor = '#333'; // series
        this.borderWidth = 0; // series
        this.padding = 5; // series
        this.textStyle = {
            // series
            color: '#FFF',
        };
    }
    ngOnChanges() {
        this._setOptions();
    }
    ngOnDestroy() {
        this._removeOption();
    }
    _setOptions() {
        const config = assignDefined(this._state, {
            show: this.show,
            trigger: this.trigger,
            axisPointer: this.axisPointer,
            showContent: this.showContent,
            alwaysShowContent: this.alwaysShowContent,
            triggerOn: this.triggerOn,
            showDelay: this.showDelay,
            hideDelay: this.hideDelay,
            enterable: this.enterable,
            confine: this.confine,
            transitionDuration: this.transitionDuration,
            position: this.position,
            formatter: this.formatter ? this.formatter : this.formatterTemplate ? this._formatter() : undefined,
            backgroundColor: this.backgroundColor,
            borderColor: this.borderColor,
            borderWidth: this.borderWidth,
            padding: this.padding,
            textStyle: this.textStyle,
            extraCssText: this.extraCssText,
        }, this.config ? this.config : {});
        // set tooltip configuration in parent chart and render new configurations
        this._optionsService.setOption('tooltip', config);
    }
    _removeOption() {
        this._optionsService.clearOption('tooltip');
    }
    _formatter() {
        return (params, ticket, callback) => {
            this._context = {
                $implicit: params,
                ticket,
            };
            // timeout set since we need to set the HTML at the end of the angular lifecycle when
            // the tooltip delay is more than 0
            setTimeout(() => {
                callback(ticket, this._elementRef.nativeElement.innerHTML);
            });
            this._changeDetectorRef.markForCheck();
            return this._elementRef.nativeElement.innerHTML;
        };
    }
}
/** @nocollapse */ /** @nocollapse */ TdChartTooltipComponent.ɵfac = function TdChartTooltipComponent_Factory(t) { return new (t || TdChartTooltipComponent)(i0.ɵɵdirectiveInject(i0.ChangeDetectorRef), i0.ɵɵdirectiveInject(i0.ElementRef), i0.ɵɵdirectiveInject(i1.TdChartOptionsService)); };
/** @nocollapse */ /** @nocollapse */ TdChartTooltipComponent.ɵcmp = /** @pureOrBreakMyCode */ i0.ɵɵdefineComponent({ type: TdChartTooltipComponent, selectors: [["td-chart-tooltip"]], contentQueries: function TdChartTooltipComponent_ContentQueries(rf, ctx, dirIndex) {
        if (rf & 1) {
            i0.ɵɵcontentQuery(dirIndex, TdChartTooltipFormatterDirective, 7, TemplateRef);
        }
        if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.formatterTemplate = _t.first);
        }
    }, viewQuery: function TdChartTooltipComponent_Query(rf, ctx) {
        if (rf & 1) {
            i0.ɵɵviewQuery(_c0$1, 7);
        }
        if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.fullTemplate = _t.first);
        }
    }, inputs: { config: "config", show: "show", trigger: "trigger", axisPointer: "axisPointer", showContent: "showContent", alwaysShowContent: "alwaysShowContent", triggerOn: "triggerOn", showDelay: "showDelay", hideDelay: "hideDelay", enterable: "enterable", renderMode: "renderMode", confine: "confine", transitionDuration: "transitionDuration", position: "position", formatter: "formatter", backgroundColor: "backgroundColor", borderColor: "borderColor", borderWidth: "borderWidth", padding: "padding", textStyle: "textStyle", extraCssText: "extraCssText" }, features: [i0.ɵɵNgOnChangesFeature], decls: 2, vars: 2, consts: [[3, "ngTemplateOutlet", "ngTemplateOutletContext"], ["tooltipContent", ""]], template: function TdChartTooltipComponent_Template(rf, ctx) {
        if (rf & 1) {
            i0.ɵɵtemplate(0, TdChartTooltipComponent_ng_template_0_Template, 0, 0, "ng-template", 0, 1, i0.ɵɵtemplateRefExtractor);
        }
        if (rf & 2) {
            i0.ɵɵproperty("ngTemplateOutlet", ctx.formatterTemplate)("ngTemplateOutletContext", ctx._context);
        }
    }, directives: [i2.NgTemplateOutlet], encapsulation: 2, changeDetection: 0 });
(function () {
    (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TdChartTooltipComponent, [{
            type: Component,
            args: [{ selector: 'td-chart-tooltip', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-template #tooltipContent [ngTemplateOutlet]=\"formatterTemplate\" [ngTemplateOutletContext]=\"_context\"></ng-template>\n" }]
        }], function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i1.TdChartOptionsService }]; }, { config: [{
                type: Input
            }], show: [{
                type: Input
            }], trigger: [{
                type: Input
            }], axisPointer: [{
                type: Input
            }], showContent: [{
                type: Input
            }], alwaysShowContent: [{
                type: Input
            }], triggerOn: [{
                type: Input
            }], showDelay: [{
                type: Input
            }], hideDelay: [{
                type: Input
            }], enterable: [{
                type: Input
            }], renderMode: [{
                type: Input
            }], confine: [{
                type: Input
            }], transitionDuration: [{
                type: Input
            }], position: [{
                type: Input
            }], formatter: [{
                type: Input
            }], backgroundColor: [{
                type: Input
            }], borderColor: [{
                type: Input
            }], borderWidth: [{
                type: Input
            }], padding: [{
                type: Input
            }], textStyle: [{
                type: Input
            }], extraCssText: [{
                type: Input
            }], formatterTemplate: [{
                type: ContentChild,
                args: [TdChartTooltipFormatterDirective, { read: TemplateRef, static: true }]
            }], fullTemplate: [{
                type: ViewChild,
                args: ['tooltipContent', { static: true }]
            }] });
})();

const _c0 = ["tooltipContent"];
function TdSeriesTooltipComponent_ng_template_0_Template(rf, ctx) { }
class TdSeriesTooltipComponent {
    constructor(_changeDetectorRef, _elementRef, _seriesComponent) {
        this._changeDetectorRef = _changeDetectorRef;
        this._elementRef = _elementRef;
        this._seriesComponent = _seriesComponent;
        this._state = {};
        this._context = new TdTooltipContext();
        this.backgroundColor = 'rgba(50,50,50,0.7)';
        this.borderColor = '#333';
        this.borderWidth = 0;
        this.padding = 5;
        this.textStyle = {
            color: '#FFF',
        };
    }
    ngOnChanges() {
        this._setOptions();
    }
    ngOnDestroy() {
        this._removeOption();
    }
    _setOptions() {
        const config = assignDefined(this._state, {
            position: this.position,
            backgroundColor: this.backgroundColor,
            borderColor: this.borderColor,
            borderWidth: this.borderWidth,
            padding: this.padding,
            textStyle: this.textStyle,
            extraCssText: this.extraCssText,
            formatter: this.formatter ? this.formatter : this.formatterTemplate ? this._formatter() : undefined,
        }, this.config ? this.config : {});
        // set series tooltip configuration in parent chart and render new configurations
        this._seriesComponent.setStateOption('tooltip', config);
    }
    /**
     * Formatter for tooltip
     *
     */
    _formatter() {
        return (params, ticket, callback) => {
            this._context = {
                $implicit: params,
                ticket,
            };
            // timeout set since we need to set the HTML at the end of the angular lifecycle when
            // the tooltip delay is more than 0
            setTimeout(() => {
                callback(ticket, this._elementRef.nativeElement.innerHTML);
            });
            this._changeDetectorRef.markForCheck();
            return this._elementRef.nativeElement.innerHTML;
        };
    }
    _removeOption() {
        this._seriesComponent.removeStateOption('tooltip');
    }
}
/** @nocollapse */ /** @nocollapse */ TdSeriesTooltipComponent.ɵfac = function TdSeriesTooltipComponent_Factory(t) { return new (t || TdSeriesTooltipComponent)(i0.ɵɵdirectiveInject(i0.ChangeDetectorRef), i0.ɵɵdirectiveInject(i0.ElementRef), i0.ɵɵdirectiveInject(i1.TdSeriesDirective)); };
/** @nocollapse */ /** @nocollapse */ TdSeriesTooltipComponent.ɵcmp = /** @pureOrBreakMyCode */ i0.ɵɵdefineComponent({ type: TdSeriesTooltipComponent, selectors: [["td-chart-series-tooltip"]], contentQueries: function TdSeriesTooltipComponent_ContentQueries(rf, ctx, dirIndex) {
        if (rf & 1) {
            i0.ɵɵcontentQuery(dirIndex, TdChartTooltipFormatterDirective, 7, TemplateRef);
        }
        if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.formatterTemplate = _t.first);
        }
    }, viewQuery: function TdSeriesTooltipComponent_Query(rf, ctx) {
        if (rf & 1) {
            i0.ɵɵviewQuery(_c0, 7);
        }
        if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.fullTemplate = _t.first);
        }
    }, inputs: { config: "config", formatter: "formatter", position: "position", backgroundColor: "backgroundColor", borderColor: "borderColor", borderWidth: "borderWidth", padding: "padding", textStyle: "textStyle", extraCssText: "extraCssText" }, features: [i0.ɵɵNgOnChangesFeature], decls: 2, vars: 2, consts: [[3, "ngTemplateOutlet", "ngTemplateOutletContext"], ["tooltipContent", ""]], template: function TdSeriesTooltipComponent_Template(rf, ctx) {
        if (rf & 1) {
            i0.ɵɵtemplate(0, TdSeriesTooltipComponent_ng_template_0_Template, 0, 0, "ng-template", 0, 1, i0.ɵɵtemplateRefExtractor);
        }
        if (rf & 2) {
            i0.ɵɵproperty("ngTemplateOutlet", ctx.formatterTemplate)("ngTemplateOutletContext", ctx._context);
        }
    }, directives: [i2.NgTemplateOutlet], encapsulation: 2, changeDetection: 0 });
(function () {
    (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TdSeriesTooltipComponent, [{
            type: Component,
            args: [{ selector: 'td-chart-series-tooltip', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-template #tooltipContent [ngTemplateOutlet]=\"formatterTemplate\" [ngTemplateOutletContext]=\"_context\"></ng-template>\n" }]
        }], function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i1.TdSeriesDirective }]; }, { config: [{
                type: Input
            }], formatter: [{
                type: Input
            }], position: [{
                type: Input
            }], backgroundColor: [{
                type: Input
            }], borderColor: [{
                type: Input
            }], borderWidth: [{
                type: Input
            }], padding: [{
                type: Input
            }], textStyle: [{
                type: Input
            }], extraCssText: [{
                type: Input
            }], formatterTemplate: [{
                type: ContentChild,
                args: [TdChartTooltipFormatterDirective, { read: TemplateRef, static: true }]
            }], fullTemplate: [{
                type: ViewChild,
                args: ['tooltipContent', { static: true }]
            }] });
})();

const TOOLTIP_MODULE_COMPONENTS = [
    TdChartTooltipComponent,
    TdChartTooltipFormatterDirective,
    TdSeriesTooltipComponent,
];
class CovalentTooltipEchartsModule {
}
/** @nocollapse */ /** @nocollapse */ CovalentTooltipEchartsModule.ɵfac = function CovalentTooltipEchartsModule_Factory(t) { return new (t || CovalentTooltipEchartsModule)(); };
/** @nocollapse */ /** @nocollapse */ CovalentTooltipEchartsModule.ɵmod = /** @pureOrBreakMyCode */ i0.ɵɵdefineNgModule({ type: CovalentTooltipEchartsModule });
/** @nocollapse */ /** @nocollapse */ CovalentTooltipEchartsModule.ɵinj = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjector({ imports: [[CommonModule]] });
(function () {
    (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CovalentTooltipEchartsModule, [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [TOOLTIP_MODULE_COMPONENTS],
                    exports: [TOOLTIP_MODULE_COMPONENTS],
                }]
        }], null, null);
})();
(function () {
    (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(CovalentTooltipEchartsModule, { declarations: [TdChartTooltipComponent,
            TdChartTooltipFormatterDirective,
            TdSeriesTooltipComponent], imports: [CommonModule], exports: [TdChartTooltipComponent,
            TdChartTooltipFormatterDirective,
            TdSeriesTooltipComponent] });
})();

/**
 * Generated bundle index. Do not edit.
 */

export { CovalentTooltipEchartsModule, TOOLTIP_MODULE_COMPONENTS, TdChartTooltipComponent, TdChartTooltipFormatterDirective, TdSeriesTooltipComponent, TdTooltipContext };
//# sourceMappingURL=covalent-echarts-tooltip.mjs.map
