import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i1 from '@covalent/echarts/base';
import { TdSeriesDirective } from '@covalent/echarts/base';

const _c0 = ["td-treemap", ""];
class TdChartSeriesTreemapComponent extends TdSeriesDirective {
    constructor(_optionsService) {
        super('treemap', _optionsService);
        this.config = {};
    }
    getConfig() {
        return {
            zlevel: this.zlevel,
            z: this.z,
            left: this.left,
            top: this.top,
            right: this.right,
            bottom: this.bottom,
            width: this.width,
            height: this.height,
            squareRatio: this.squareRatio,
            leafDepth: this.leafDepth,
            drillDownIcon: this.drillDownIcon,
            roam: this.roam,
            nodeClick: this.nodeClick,
            zoomToNodeRatio: this.zoomToNodeRatio,
            levels: this.levels,
            silent: this.silent,
            visualDimension: this.visualDimension,
            visualMin: this.visualMin,
            visualMax: this.visualMax,
            colorAlpha: this.colorAlpha,
            colorSaturation: this.colorSaturation,
            colorMappingBy: this.colorMappingBy,
            visibleMin: this.visibleMin,
            childrenVisibleMin: this.childrenVisibleMin,
            itemStyle: this.itemStyle,
            label: this.label,
            upperLabel: this.upperLabel,
            breadcrumb: this.breadcrumb,
            emphasis: this.emphasis,
        };
    }
}
/** @nocollapse */ /** @nocollapse */ TdChartSeriesTreemapComponent.ɵfac = function TdChartSeriesTreemapComponent_Factory(t) { return new (t || TdChartSeriesTreemapComponent)(i0.ɵɵdirectiveInject(i1.TdChartOptionsService)); };
/** @nocollapse */ /** @nocollapse */ TdChartSeriesTreemapComponent.ɵcmp = /** @pureOrBreakMyCode */ i0.ɵɵdefineComponent({ type: TdChartSeriesTreemapComponent, selectors: [["td-chart-series", "td-treemap", ""]], inputs: { config: "config", id: "id", name: "name", color: "color", data: "data", animation: "animation", animationThreshold: "animationThreshold", animationDuration: "animationDuration", animationEasing: "animationEasing", animationDelay: "animationDelay", animationDurationUpdate: "animationDurationUpdate", animationEasingUpdate: "animationEasingUpdate", animationDelayUpdate: "animationDelayUpdate", tooltip: "tooltip", zlevel: "zlevel", z: "z", left: "left", top: "top", right: "right", bottom: "bottom", width: "width", height: "height", squareRatio: "squareRatio", leafDepth: "leafDepth", drillDownIcon: "drillDownIcon", roam: "roam", nodeClick: "nodeClick", zoomToNodeRatio: "zoomToNodeRatio", levels: "levels", silent: "silent", visualDimension: "visualDimension", visualMin: "visualMin", visualMax: "visualMax", colorAlpha: "colorAlpha", colorSaturation: "colorSaturation", colorMappingBy: "colorMappingBy", visibleMin: "visibleMin", childrenVisibleMin: "childrenVisibleMin", itemStyle: "itemStyle", label: "label", upperLabel: "upperLabel", breadcrumb: "breadcrumb", emphasis: "emphasis" }, features: [i0.ɵɵProvidersFeature([
            {
                provide: TdSeriesDirective,
                useExisting: forwardRef((() => TdChartSeriesTreemapComponent)),
            },
        ]), i0.ɵɵInheritDefinitionFeature], attrs: _c0, decls: 0, vars: 0, template: function TdChartSeriesTreemapComponent_Template(rf, ctx) { }, encapsulation: 2, changeDetection: 0 });
(function () {
    (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TdChartSeriesTreemapComponent, [{
            type: Component,
            args: [{
                    selector: 'td-chart-series[td-treemap]',
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    inputs: [
                        'config',
                        'id',
                        'name',
                        'color',
                        'data',
                        'animation',
                        'animationThreshold',
                        'animationDuration',
                        'animationEasing',
                        'animationDelay',
                        'animationDurationUpdate',
                        'animationEasingUpdate',
                        'animationDelayUpdate',
                        'tooltip',
                    ],
                    providers: [
                        {
                            provide: TdSeriesDirective,
                            useExisting: forwardRef((() => TdChartSeriesTreemapComponent)),
                        },
                    ],
                }]
        }], function () { return [{ type: i1.TdChartOptionsService }]; }, { config: [{
                type: Input
            }], id: [{
                type: Input
            }], name: [{
                type: Input
            }], data: [{
                type: Input
            }], zlevel: [{
                type: Input
            }], z: [{
                type: Input
            }], left: [{
                type: Input
            }], top: [{
                type: Input
            }], right: [{
                type: Input
            }], bottom: [{
                type: Input
            }], width: [{
                type: Input
            }], height: [{
                type: Input
            }], squareRatio: [{
                type: Input
            }], leafDepth: [{
                type: Input
            }], drillDownIcon: [{
                type: Input
            }], roam: [{
                type: Input
            }], nodeClick: [{
                type: Input
            }], zoomToNodeRatio: [{
                type: Input
            }], levels: [{
                type: Input
            }], silent: [{
                type: Input
            }], visualDimension: [{
                type: Input
            }], visualMin: [{
                type: Input
            }], visualMax: [{
                type: Input
            }], colorAlpha: [{
                type: Input
            }], colorSaturation: [{
                type: Input
            }], colorMappingBy: [{
                type: Input
            }], visibleMin: [{
                type: Input
            }], childrenVisibleMin: [{
                type: Input
            }], itemStyle: [{
                type: Input
            }], label: [{
                type: Input
            }], upperLabel: [{
                type: Input
            }], breadcrumb: [{
                type: Input
            }], emphasis: [{
                type: Input
            }], tooltip: [{
                type: Input
            }] });
})();

const TREEMAP_MODULE_COMPONENTS = [TdChartSeriesTreemapComponent];
class CovalentTreemapEchartsModule {
}
/** @nocollapse */ /** @nocollapse */ CovalentTreemapEchartsModule.ɵfac = function CovalentTreemapEchartsModule_Factory(t) { return new (t || CovalentTreemapEchartsModule)(); };
/** @nocollapse */ /** @nocollapse */ CovalentTreemapEchartsModule.ɵmod = /** @pureOrBreakMyCode */ i0.ɵɵdefineNgModule({ type: CovalentTreemapEchartsModule });
/** @nocollapse */ /** @nocollapse */ CovalentTreemapEchartsModule.ɵinj = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjector({ imports: [[CommonModule]] });
(function () {
    (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CovalentTreemapEchartsModule, [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [TREEMAP_MODULE_COMPONENTS],
                    exports: [TREEMAP_MODULE_COMPONENTS],
                }]
        }], null, null);
})();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(CovalentTreemapEchartsModule, { declarations: [TdChartSeriesTreemapComponent], imports: [CommonModule], exports: [TdChartSeriesTreemapComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { CovalentTreemapEchartsModule, TREEMAP_MODULE_COMPONENTS, TdChartSeriesTreemapComponent };
//# sourceMappingURL=covalent-echarts-treemap.mjs.map
