import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i1 from '@covalent/echarts/base';
import { TdSeriesDirective } from '@covalent/echarts/base';

const _c0 = ["td-graph", ""];
class TdChartSeriesGraphComponent extends TdSeriesDirective {
    constructor(_optionsService) {
        super('graph', _optionsService);
    }
    getConfig() {
        return {
            legendHoverLink: this.legendHoverLink,
            coordinateSystem: this.coordinateSystem,
            xAxisIndex: this.xAxisIndex,
            yAxisIndex: this.yAxisIndex,
            polarIndex: this.polarIndex,
            calendarIndex: this.calendarIndex,
            geoIndex: this.geoIndex,
            hoverAnimation: this.hoverAnimation,
            circular: this.circular,
            force: this.force,
            layout: this.layout,
            nodeScaleRatio: this.nodeScaleRatio,
            draggable: this.draggable,
            symbol: this.symbol,
            symbolSize: this.symbolSize,
            symbolRotate: this.symbolRotate,
            symbolKeepAspect: this.symbolKeepAspect,
            symbolOffset: this.symbolOffset,
            focusNodeAdjacency: this.focusNodeAdjacency,
            edgeSymbol: this.edgeSymbol,
            edgeSymbolSize: this.edgeSymbolSize,
            cursor: this.cursor,
            roam: this.roam,
            itemStyle: this.itemStyle,
            lineStyle: this.lineStyle,
            label: this.label,
            edgeLabel: this.edgeLabel,
            emphasis: this.emphasis,
            categories: this.categories,
            nodes: this.nodes,
            links: this.links,
            edges: this.edges,
            markPoint: this.markPoint,
            markLine: this.markLine,
            markArea: this.markArea,
            zlevel: this.zlevel,
            z: this.z,
            silent: this.silent,
            left: this.left,
            top: this.top,
            right: this.right,
            bottom: this.bottom,
            width: this.width,
            height: this.height,
        };
    }
}
/** @nocollapse */ /** @nocollapse */ TdChartSeriesGraphComponent.ɵfac = function TdChartSeriesGraphComponent_Factory(t) { return new (t || TdChartSeriesGraphComponent)(i0.ɵɵdirectiveInject(i1.TdChartOptionsService)); };
/** @nocollapse */ /** @nocollapse */ TdChartSeriesGraphComponent.ɵcmp = /** @pureOrBreakMyCode */ i0.ɵɵdefineComponent({ type: TdChartSeriesGraphComponent, selectors: [["td-chart-series", "td-graph", ""]], inputs: { config: "config", id: "id", name: "name", color: "color", data: "data", animation: "animation", animationThreshold: "animationThreshold", animationDuration: "animationDuration", animationEasing: "animationEasing", animationDelay: "animationDelay", animationDurationUpdate: "animationDurationUpdate", animationEasingUpdate: "animationEasingUpdate", animationDelayUpdate: "animationDelayUpdate", tooltip: "tooltip", legendHoverLink: "legendHoverLink", coordinateSystem: "coordinateSystem", xAxisIndex: "xAxisIndex", yAxisIndex: "yAxisIndex", polarIndex: "polarIndex", calendarIndex: "calendarIndex", geoIndex: "geoIndex", hoverAnimation: "hoverAnimation", circular: "circular", force: "force", layout: "layout", nodeScaleRatio: "nodeScaleRatio", draggable: "draggable", symbol: "symbol", symbolSize: "symbolSize", symbolRotate: "symbolRotate", symbolKeepAspect: "symbolKeepAspect", symbolOffset: "symbolOffset", focusNodeAdjacency: "focusNodeAdjacency", edgeSymbol: "edgeSymbol", edgeSymbolSize: "edgeSymbolSize", cursor: "cursor", roam: "roam", initialTreeDepth: "initialTreeDepth", itemStyle: "itemStyle", lineStyle: "lineStyle", label: "label", edgeLabel: "edgeLabel", emphasis: "emphasis", categories: "categories", nodes: "nodes", links: "links", edges: "edges", markPoint: "markPoint", markLine: "markLine", markArea: "markArea", zlevel: "zlevel", z: "z", silent: "silent", left: "left", top: "top", right: "right", bottom: "bottom", width: "width", height: "height" }, features: [i0.ɵɵProvidersFeature([
            {
                provide: TdSeriesDirective,
                useExisting: forwardRef((() => TdChartSeriesGraphComponent)),
            },
        ]), i0.ɵɵInheritDefinitionFeature], attrs: _c0, decls: 0, vars: 0, template: function TdChartSeriesGraphComponent_Template(rf, ctx) { }, encapsulation: 2, changeDetection: 0 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TdChartSeriesGraphComponent, [{
        type: Component,
        args: [{
                selector: 'td-chart-series[td-graph]',
                template: '',
                changeDetection: ChangeDetectionStrategy.OnPush,
                inputs: [
                    'config',
                    'id',
                    'name',
                    'color',
                    'data',
                    'animation',
                    'animationThreshold',
                    'animationDuration',
                    'animationEasing',
                    'animationDelay',
                    'animationDurationUpdate',
                    'animationEasingUpdate',
                    'animationDelayUpdate',
                    'tooltip',
                ],
                providers: [
                    {
                        provide: TdSeriesDirective,
                        useExisting: forwardRef((() => TdChartSeriesGraphComponent)),
                    },
                ],
            }]
    }], function () { return [{ type: i1.TdChartOptionsService }]; }, { legendHoverLink: [{
            type: Input
        }], coordinateSystem: [{
            type: Input
        }], xAxisIndex: [{
            type: Input
        }], yAxisIndex: [{
            type: Input
        }], polarIndex: [{
            type: Input
        }], calendarIndex: [{
            type: Input
        }], geoIndex: [{
            type: Input
        }], hoverAnimation: [{
            type: Input
        }], circular: [{
            type: Input
        }], force: [{
            type: Input
        }], layout: [{
            type: Input
        }], nodeScaleRatio: [{
            type: Input
        }], draggable: [{
            type: Input
        }], symbol: [{
            type: Input
        }], symbolSize: [{
            type: Input
        }], symbolRotate: [{
            type: Input
        }], symbolKeepAspect: [{
            type: Input
        }], symbolOffset: [{
            type: Input
        }], focusNodeAdjacency: [{
            type: Input
        }], edgeSymbol: [{
            type: Input
        }], edgeSymbolSize: [{
            type: Input
        }], cursor: [{
            type: Input
        }], roam: [{
            type: Input
        }], initialTreeDepth: [{
            type: Input
        }], itemStyle: [{
            type: Input
        }], lineStyle: [{
            type: Input
        }], label: [{
            type: Input
        }], edgeLabel: [{
            type: Input
        }], emphasis: [{
            type: Input
        }], categories: [{
            type: Input
        }], nodes: [{
            type: Input
        }], links: [{
            type: Input
        }], edges: [{
            type: Input
        }], markPoint: [{
            type: Input
        }], markLine: [{
            type: Input
        }], markArea: [{
            type: Input
        }], zlevel: [{
            type: Input
        }], z: [{
            type: Input
        }], silent: [{
            type: Input
        }], left: [{
            type: Input
        }], top: [{
            type: Input
        }], right: [{
            type: Input
        }], bottom: [{
            type: Input
        }], width: [{
            type: Input
        }], height: [{
            type: Input
        }] }); })();

const GRAPH_MODULE_COMPONENTS = [TdChartSeriesGraphComponent];
class CovalentGraphEchartsModule {
}
/** @nocollapse */ /** @nocollapse */ CovalentGraphEchartsModule.ɵfac = function CovalentGraphEchartsModule_Factory(t) { return new (t || CovalentGraphEchartsModule)(); };
/** @nocollapse */ /** @nocollapse */ CovalentGraphEchartsModule.ɵmod = /** @pureOrBreakMyCode */ i0.ɵɵdefineNgModule({ type: CovalentGraphEchartsModule });
/** @nocollapse */ /** @nocollapse */ CovalentGraphEchartsModule.ɵinj = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjector({ imports: [[CommonModule]] });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CovalentGraphEchartsModule, [{
        type: NgModule,
        args: [{
                imports: [CommonModule],
                declarations: [GRAPH_MODULE_COMPONENTS],
                exports: [GRAPH_MODULE_COMPONENTS],
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(CovalentGraphEchartsModule, { declarations: [TdChartSeriesGraphComponent], imports: [CommonModule], exports: [TdChartSeriesGraphComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { CovalentGraphEchartsModule, GRAPH_MODULE_COMPONENTS, TdChartSeriesGraphComponent };
//# sourceMappingURL=covalent-echarts-graph.mjs.map
