import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i1 from '@covalent/echarts/base';
import { TdSeriesDirective } from '@covalent/echarts/base';

const _c0 = ["td-line", ""];
class TdChartSeriesLineComponent extends TdSeriesDirective {
    constructor(_optionsService) {
        super('line', _optionsService);
    }
    getConfig() {
        return {
            coordinateSystem: this.coordinateSystem,
            xAxisIndex: this.xAxisIndex,
            yAxisIndex: this.yAxisIndex,
            polarIndex: this.polarIndex,
            symbol: this.symbol,
            symbolSize: this.symbolSize,
            symbolRotate: this.symbolRotate,
            symbolKeepAspect: this.symbolKeepAspect,
            symbolOffset: this.symbolOffset,
            showSymbol: this.showSymbol,
            showAllSymbol: this.showAllSymbol,
            hoverAnimation: this.hoverAnimation,
            legendHoverLink: this.legendHoverLink,
            stack: this.stack,
            cursor: this.cursor,
            connectNulls: this.connectNulls,
            clipOverflow: this.clipOverflow,
            step: this.step,
            label: this.label,
            itemStyle: this.itemStyle,
            lineStyle: this.lineStyle,
            areaStyle: this.areaStyle,
            emphasis: this.emphasis,
            smooth: this.smooth,
            smoothMonotone: this.smoothMonotone,
            sampling: this.sampling,
            dimensions: this.dimensions,
            encode: this.encode,
            seriesLayoutBy: this.seriesLayoutBy,
            datasetIndex: this.datasetIndex,
            markPoint: this.markPoint,
            markLine: this.markLine,
            markArea: this.markArea,
            zlevel: this.zlevel,
            z: this.z,
            silent: this.silent,
        };
    }
}
/** @nocollapse */ /** @nocollapse */ TdChartSeriesLineComponent.ɵfac = function TdChartSeriesLineComponent_Factory(t) { return new (t || TdChartSeriesLineComponent)(i0.ɵɵdirectiveInject(i1.TdChartOptionsService)); };
/** @nocollapse */ /** @nocollapse */ TdChartSeriesLineComponent.ɵcmp = /** @pureOrBreakMyCode */ i0.ɵɵdefineComponent({ type: TdChartSeriesLineComponent, selectors: [["td-chart-series", "td-line", ""]], inputs: { config: "config", id: "id", name: "name", color: "color", data: "data", animation: "animation", animationThreshold: "animationThreshold", animationDuration: "animationDuration", animationEasing: "animationEasing", animationDelay: "animationDelay", animationDurationUpdate: "animationDurationUpdate", animationEasingUpdate: "animationEasingUpdate", animationDelayUpdate: "animationDelayUpdate", tooltip: "tooltip", coordinateSystem: "coordinateSystem", xAxisIndex: "xAxisIndex", yAxisIndex: "yAxisIndex", polarIndex: "polarIndex", symbol: "symbol", symbolSize: "symbolSize", symbolRotate: "symbolRotate", symbolKeepAspect: "symbolKeepAspect", symbolOffset: "symbolOffset", showSymbol: "showSymbol", showAllSymbol: "showAllSymbol", hoverAnimation: "hoverAnimation", legendHoverLink: "legendHoverLink", stack: "stack", cursor: "cursor", connectNulls: "connectNulls", clipOverflow: "clipOverflow", step: "step", label: "label", itemStyle: "itemStyle", lineStyle: "lineStyle", areaStyle: "areaStyle", emphasis: "emphasis", smooth: "smooth", smoothMonotone: "smoothMonotone", sampling: "sampling", dimensions: "dimensions", encode: "encode", seriesLayoutBy: "seriesLayoutBy", datasetIndex: "datasetIndex", markPoint: "markPoint", markLine: "markLine", markArea: "markArea", zlevel: "zlevel", z: "z", silent: "silent" }, features: [i0.ɵɵProvidersFeature([
            {
                provide: TdSeriesDirective,
                useExisting: forwardRef((() => TdChartSeriesLineComponent)),
            },
        ]), i0.ɵɵInheritDefinitionFeature], attrs: _c0, decls: 0, vars: 0, template: function TdChartSeriesLineComponent_Template(rf, ctx) { }, encapsulation: 2, changeDetection: 0 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TdChartSeriesLineComponent, [{
        type: Component,
        args: [{
                selector: 'td-chart-series[td-line]',
                template: '',
                changeDetection: ChangeDetectionStrategy.OnPush,
                inputs: [
                    'config',
                    'id',
                    'name',
                    'color',
                    'data',
                    'animation',
                    'animationThreshold',
                    'animationDuration',
                    'animationEasing',
                    'animationDelay',
                    'animationDurationUpdate',
                    'animationEasingUpdate',
                    'animationDelayUpdate',
                    'tooltip',
                ],
                providers: [
                    {
                        provide: TdSeriesDirective,
                        useExisting: forwardRef((() => TdChartSeriesLineComponent)),
                    },
                ],
            }]
    }], function () { return [{ type: i1.TdChartOptionsService }]; }, { coordinateSystem: [{
            type: Input
        }], xAxisIndex: [{
            type: Input
        }], yAxisIndex: [{
            type: Input
        }], polarIndex: [{
            type: Input
        }], symbol: [{
            type: Input
        }], symbolSize: [{
            type: Input
        }], symbolRotate: [{
            type: Input
        }], symbolKeepAspect: [{
            type: Input
        }], symbolOffset: [{
            type: Input
        }], showSymbol: [{
            type: Input
        }], showAllSymbol: [{
            type: Input
        }], hoverAnimation: [{
            type: Input
        }], legendHoverLink: [{
            type: Input
        }], stack: [{
            type: Input
        }], cursor: [{
            type: Input
        }], connectNulls: [{
            type: Input
        }], clipOverflow: [{
            type: Input
        }], step: [{
            type: Input
        }], label: [{
            type: Input
        }], itemStyle: [{
            type: Input
        }], lineStyle: [{
            type: Input
        }], areaStyle: [{
            type: Input
        }], emphasis: [{
            type: Input
        }], smooth: [{
            type: Input
        }], smoothMonotone: [{
            type: Input
        }], sampling: [{
            type: Input
        }], dimensions: [{
            type: Input
        }], encode: [{
            type: Input
        }], seriesLayoutBy: [{
            type: Input
        }], datasetIndex: [{
            type: Input
        }], markPoint: [{
            type: Input
        }], markLine: [{
            type: Input
        }], markArea: [{
            type: Input
        }], zlevel: [{
            type: Input
        }], z: [{
            type: Input
        }], silent: [{
            type: Input
        }] }); })();

const LINE_MODULE_COMPONENTS = [TdChartSeriesLineComponent];
class CovalentLineEchartsModule {
}
/** @nocollapse */ /** @nocollapse */ CovalentLineEchartsModule.ɵfac = function CovalentLineEchartsModule_Factory(t) { return new (t || CovalentLineEchartsModule)(); };
/** @nocollapse */ /** @nocollapse */ CovalentLineEchartsModule.ɵmod = /** @pureOrBreakMyCode */ i0.ɵɵdefineNgModule({ type: CovalentLineEchartsModule });
/** @nocollapse */ /** @nocollapse */ CovalentLineEchartsModule.ɵinj = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjector({ imports: [[CommonModule]] });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CovalentLineEchartsModule, [{
        type: NgModule,
        args: [{
                imports: [CommonModule],
                declarations: [LINE_MODULE_COMPONENTS],
                exports: [LINE_MODULE_COMPONENTS],
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(CovalentLineEchartsModule, { declarations: [TdChartSeriesLineComponent], imports: [CommonModule], exports: [TdChartSeriesLineComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { CovalentLineEchartsModule, LINE_MODULE_COMPONENTS, TdChartSeriesLineComponent };
//# sourceMappingURL=covalent-echarts-line.mjs.map
