import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i1 from '@covalent/echarts/base';
import { TdSeriesDirective } from '@covalent/echarts/base';

const _c0 = ["td-map", ""];
class TdChartSeriesMapComponent extends TdSeriesDirective {
    constructor(_optionsService) {
        super('map', _optionsService);
    }
    getConfig() {
        return {
            map: this.map,
            roam: this.roam,
            center: this.center,
            aspectScale: this.aspectScale,
            boudingCoords: this.boudingCoords,
            zoom: this.zoom,
            scaleLimit: this.scaleLimit,
            nameMap: this.nameMap,
            selectedMode: this.selectedMode,
            label: this.label,
            itemStyle: this.itemStyle,
            zLevel: this.zLevel,
            z: this.z,
            left: this.left,
            top: this.top,
            right: this.right,
            bottom: this.bottom,
            layoutCenter: this.layoutCenter,
            layoutSize: this.layoutSize,
            geoIndex: this.geoIndex,
            mapValueCalculation: this.mapValueCalculation,
            showLegendSymbol: this.showLegendSymbol,
            seriesLayoutBy: this.seriesLayoutBy,
            markPoint: this.markPoint,
            markLine: this.markLine,
            markArea: this.markArea,
            silent: this.silent,
        };
    }
}
/** @nocollapse */ /** @nocollapse */ TdChartSeriesMapComponent.ɵfac = function TdChartSeriesMapComponent_Factory(t) { return new (t || TdChartSeriesMapComponent)(i0.ɵɵdirectiveInject(i1.TdChartOptionsService)); };
/** @nocollapse */ /** @nocollapse */ TdChartSeriesMapComponent.ɵcmp = /** @pureOrBreakMyCode */ i0.ɵɵdefineComponent({ type: TdChartSeriesMapComponent, selectors: [["td-chart-series", "td-map", ""]], inputs: { config: "config", id: "id", name: "name", color: "color", data: "data", animation: "animation", animationThreshold: "animationThreshold", animationDuration: "animationDuration", animationEasing: "animationEasing", animationDelay: "animationDelay", animationDurationUpdate: "animationDurationUpdate", animationEasingUpdate: "animationEasingUpdate", animationDelayUpdate: "animationDelayUpdate", tooltip: "tooltip", map: "map", roam: "roam", center: "center", aspectScale: "aspectScale", boudingCoords: "boudingCoords", zoom: "zoom", scaleLimit: "scaleLimit", nameMap: "nameMap", selectedMode: "selectedMode", label: "label", itemStyle: "itemStyle", zLevel: "zLevel", z: "z", left: "left", top: "top", right: "right", bottom: "bottom", layoutCenter: "layoutCenter", layoutSize: "layoutSize", geoIndex: "geoIndex", mapValueCalculation: "mapValueCalculation", showLegendSymbol: "showLegendSymbol", seriesLayoutBy: "seriesLayoutBy", markPoint: "markPoint", markLine: "markLine", markArea: "markArea", silent: "silent" }, features: [i0.ɵɵProvidersFeature([
            {
                provide: TdSeriesDirective,
                useExisting: forwardRef((() => TdChartSeriesMapComponent)),
            },
        ]), i0.ɵɵInheritDefinitionFeature], attrs: _c0, decls: 0, vars: 0, template: function TdChartSeriesMapComponent_Template(rf, ctx) { }, encapsulation: 2, changeDetection: 0 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TdChartSeriesMapComponent, [{
        type: Component,
        args: [{
                selector: 'td-chart-series[td-map]',
                template: '',
                changeDetection: ChangeDetectionStrategy.OnPush,
                inputs: [
                    'config',
                    'id',
                    'name',
                    'color',
                    'data',
                    'animation',
                    'animationThreshold',
                    'animationDuration',
                    'animationEasing',
                    'animationDelay',
                    'animationDurationUpdate',
                    'animationEasingUpdate',
                    'animationDelayUpdate',
                    'tooltip',
                ],
                providers: [
                    {
                        provide: TdSeriesDirective,
                        useExisting: forwardRef((() => TdChartSeriesMapComponent)),
                    },
                ],
            }]
    }], function () { return [{ type: i1.TdChartOptionsService }]; }, { map: [{
            type: Input
        }], roam: [{
            type: Input
        }], center: [{
            type: Input
        }], aspectScale: [{
            type: Input
        }], boudingCoords: [{
            type: Input
        }], zoom: [{
            type: Input
        }], scaleLimit: [{
            type: Input
        }], nameMap: [{
            type: Input
        }], selectedMode: [{
            type: Input
        }], label: [{
            type: Input
        }], itemStyle: [{
            type: Input
        }], zLevel: [{
            type: Input
        }], z: [{
            type: Input
        }], left: [{
            type: Input
        }], top: [{
            type: Input
        }], right: [{
            type: Input
        }], bottom: [{
            type: Input
        }], layoutCenter: [{
            type: Input
        }], layoutSize: [{
            type: Input
        }], geoIndex: [{
            type: Input
        }], mapValueCalculation: [{
            type: Input
        }], showLegendSymbol: [{
            type: Input
        }], seriesLayoutBy: [{
            type: Input
        }], markPoint: [{
            type: Input
        }], markLine: [{
            type: Input
        }], markArea: [{
            type: Input
        }], silent: [{
            type: Input
        }] }); })();

const MAP_MODULE_COMPONENTS = [TdChartSeriesMapComponent];
class CovalentMapEchartsModule {
}
/** @nocollapse */ /** @nocollapse */ CovalentMapEchartsModule.ɵfac = function CovalentMapEchartsModule_Factory(t) { return new (t || CovalentMapEchartsModule)(); };
/** @nocollapse */ /** @nocollapse */ CovalentMapEchartsModule.ɵmod = /** @pureOrBreakMyCode */ i0.ɵɵdefineNgModule({ type: CovalentMapEchartsModule });
/** @nocollapse */ /** @nocollapse */ CovalentMapEchartsModule.ɵinj = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjector({ imports: [[CommonModule]] });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CovalentMapEchartsModule, [{
        type: NgModule,
        args: [{
                imports: [CommonModule],
                declarations: [MAP_MODULE_COMPONENTS],
                exports: [MAP_MODULE_COMPONENTS],
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(CovalentMapEchartsModule, { declarations: [TdChartSeriesMapComponent], imports: [CommonModule], exports: [TdChartSeriesMapComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { CovalentMapEchartsModule, MAP_MODULE_COMPONENTS, TdChartSeriesMapComponent };
//# sourceMappingURL=covalent-echarts-map.mjs.map
