import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i1 from '@covalent/echarts/base';
import { TdSeriesDirective } from '@covalent/echarts/base';

const _c0 = ["td-pie", ""];
class TdChartSeriesPieComponent extends TdSeriesDirective {
    constructor(_optionsService) {
        super('pie', _optionsService);
    }
    getConfig() {
        return {
            legendHoverLink: this.legendHoverLink,
            label: this.label,
            itemStyle: this.itemStyle,
            emphasis: this.emphasis,
            selectedMode: this.selectedMode,
            selectedOffset: this.selectedOffset,
            clockwise: this.clockwise,
            startAngle: this.startAngle,
            minAngle: this.minAngle,
            minShowLabelAngle: this.minShowLabelAngle,
            roseType: this.roseType,
            avoidLabelOverlap: this.avoidLabelOverlap,
            stillShowZeroSum: this.stillShowZeroSum,
            cursor: this.cursor,
            labelLine: this.labelLine,
            seriesLayoutBy: this.seriesLayoutBy,
            datasetIndex: this.datasetIndex,
            markPoint: this.markPoint,
            markLine: this.markLine,
            markArea: this.markArea,
            zlevel: this.zlevel,
            z: this.z,
            center: this.center,
            radius: this.radius,
        };
    }
}
/** @nocollapse */ /** @nocollapse */ TdChartSeriesPieComponent.ɵfac = function TdChartSeriesPieComponent_Factory(t) { return new (t || TdChartSeriesPieComponent)(i0.ɵɵdirectiveInject(i1.TdChartOptionsService)); };
/** @nocollapse */ /** @nocollapse */ TdChartSeriesPieComponent.ɵcmp = /** @pureOrBreakMyCode */ i0.ɵɵdefineComponent({ type: TdChartSeriesPieComponent, selectors: [["td-chart-series", "td-pie", ""]], inputs: { config: "config", id: "id", name: "name", color: "color", data: "data", animation: "animation", animationThreshold: "animationThreshold", animationDuration: "animationDuration", animationEasing: "animationEasing", animationDelay: "animationDelay", animationDurationUpdate: "animationDurationUpdate", animationEasingUpdate: "animationEasingUpdate", animationDelayUpdate: "animationDelayUpdate", tooltip: "tooltip", legendHoverLink: "legendHoverLink", hoverAnimation: "hoverAnimation", hoverOffset: "hoverOffset", selectedMode: "selectedMode", selectedOffset: "selectedOffset", clockwise: "clockwise", startAngle: "startAngle", minAngle: "minAngle", minShowLabelAngle: "minShowLabelAngle", roseType: "roseType", avoidLabelOverlap: "avoidLabelOverlap", stillShowZeroSum: "stillShowZeroSum", cursor: "cursor", labelLine: "labelLine", label: "label", itemStyle: "itemStyle", emphasis: "emphasis", seriesLayoutBy: "seriesLayoutBy", datasetIndex: "datasetIndex", markPoint: "markPoint", markLine: "markLine", markArea: "markArea", zlevel: "zlevel", z: "z", center: "center", radius: "radius" }, features: [i0.ɵɵProvidersFeature([
            {
                provide: TdSeriesDirective,
                useExisting: forwardRef((() => TdChartSeriesPieComponent)),
            },
        ]), i0.ɵɵInheritDefinitionFeature], attrs: _c0, decls: 0, vars: 0, template: function TdChartSeriesPieComponent_Template(rf, ctx) { }, encapsulation: 2, changeDetection: 0 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TdChartSeriesPieComponent, [{
        type: Component,
        args: [{
                selector: 'td-chart-series[td-pie]',
                template: '',
                changeDetection: ChangeDetectionStrategy.OnPush,
                inputs: [
                    'config',
                    'id',
                    'name',
                    'color',
                    'data',
                    'animation',
                    'animationThreshold',
                    'animationDuration',
                    'animationEasing',
                    'animationDelay',
                    'animationDurationUpdate',
                    'animationEasingUpdate',
                    'animationDelayUpdate',
                    'tooltip',
                ],
                providers: [
                    {
                        provide: TdSeriesDirective,
                        useExisting: forwardRef((() => TdChartSeriesPieComponent)),
                    },
                ],
            }]
    }], function () { return [{ type: i1.TdChartOptionsService }]; }, { legendHoverLink: [{
            type: Input
        }], hoverAnimation: [{
            type: Input
        }], hoverOffset: [{
            type: Input
        }], selectedMode: [{
            type: Input
        }], selectedOffset: [{
            type: Input
        }], clockwise: [{
            type: Input
        }], startAngle: [{
            type: Input
        }], minAngle: [{
            type: Input
        }], minShowLabelAngle: [{
            type: Input
        }], roseType: [{
            type: Input
        }], avoidLabelOverlap: [{
            type: Input
        }], stillShowZeroSum: [{
            type: Input
        }], cursor: [{
            type: Input
        }], labelLine: [{
            type: Input
        }], label: [{
            type: Input
        }], itemStyle: [{
            type: Input
        }], emphasis: [{
            type: Input
        }], seriesLayoutBy: [{
            type: Input
        }], datasetIndex: [{
            type: Input
        }], markPoint: [{
            type: Input
        }], markLine: [{
            type: Input
        }], markArea: [{
            type: Input
        }], zlevel: [{
            type: Input
        }], z: [{
            type: Input
        }], center: [{
            type: Input
        }], radius: [{
            type: Input
        }] }); })();

const PIE_MODULE_COMPONENTS = [TdChartSeriesPieComponent];
class CovalentPieEchartsModule {
}
/** @nocollapse */ /** @nocollapse */ CovalentPieEchartsModule.ɵfac = function CovalentPieEchartsModule_Factory(t) { return new (t || CovalentPieEchartsModule)(); };
/** @nocollapse */ /** @nocollapse */ CovalentPieEchartsModule.ɵmod = /** @pureOrBreakMyCode */ i0.ɵɵdefineNgModule({ type: CovalentPieEchartsModule });
/** @nocollapse */ /** @nocollapse */ CovalentPieEchartsModule.ɵinj = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjector({ imports: [[CommonModule]] });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CovalentPieEchartsModule, [{
        type: NgModule,
        args: [{
                imports: [CommonModule],
                declarations: [PIE_MODULE_COMPONENTS],
                exports: [PIE_MODULE_COMPONENTS],
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(CovalentPieEchartsModule, { declarations: [TdChartSeriesPieComponent], imports: [CommonModule], exports: [TdChartSeriesPieComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { CovalentPieEchartsModule, PIE_MODULE_COMPONENTS, TdChartSeriesPieComponent };
//# sourceMappingURL=covalent-echarts-pie.mjs.map
