import { TdChartOptionsService, ITdSeries, TdSeriesDirective } from '@covalent/echarts/base';
import * as i0 from "@angular/core";
export declare type TdWordcloudShape = 'circle' | 'cardioid' | 'diamond' | 'triangle-forward' | 'triangle' | 'pentagon' | 'star';
export interface ITdWordcloudTextStyle {
    normal?: {
        fontFamily?: string;
        fontWeight?: string;
        color?: string | ((x: any) => string);
    };
    emphasis?: {
        shadowBlur?: number;
        shadowColor?: string;
    };
}
export interface ITdWordCloudData {
    name: string;
    value: number;
    textStyle?: ITdWordcloudTextStyle;
}
export interface ITdWordcloudSeries extends ITdSeries {
    data?: ITdWordCloudData[];
    shape?: TdWordcloudShape;
    left?: string | number;
    top?: string | number;
    width?: string | number;
    height?: string | number;
    right?: string | number;
    bottom?: string | number;
    sizeRange?: number[];
    rotationRange?: number[];
    rotationStep?: number;
    gridSize?: number;
    drawOutOfBound?: boolean;
    textStyle?: ITdWordcloudTextStyle;
}
export declare class TdChartSeriesWordcloudComponent extends TdSeriesDirective implements ITdWordcloudSeries {
    data: ITdWordCloudData[];
    shape: TdWordcloudShape;
    left: string | number;
    top: string | number;
    width: string | number;
    height: string | number;
    right: string | number;
    bottom: string | number;
    sizeRange: number[];
    rotationRange: number[];
    rotationStep: number;
    gridSize: number;
    drawOutOfBound: boolean;
    textStyle: ITdWordcloudTextStyle;
    constructor(_optionsService: TdChartOptionsService);
    getConfig(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartSeriesWordcloudComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TdChartSeriesWordcloudComponent, "td-chart-series[td-wordCloud]", never, { "config": "config"; "id": "id"; "name": "name"; "color": "color"; "data": "data"; "animation": "animation"; "animationThreshold": "animationThreshold"; "animationDuration": "animationDuration"; "animationEasing": "animationEasing"; "animationDelay": "animationDelay"; "animationDurationUpdate": "animationDurationUpdate"; "animationEasingUpdate": "animationEasingUpdate"; "animationDelayUpdate": "animationDelayUpdate"; "tooltip": "tooltip"; "shape": "shape"; "left": "left"; "top": "top"; "width": "width"; "height": "height"; "right": "right"; "bottom": "bottom"; "sizeRange": "sizeRange"; "rotationRange": "rotationRange"; "rotationStep": "rotationStep"; "gridSize": "gridSize"; "drawOutOfBound": "drawOutOfBound"; "textStyle": "textStyle"; }, {}, never, never>;
}
